SEARCH

Enter your search query in the box above ^, or use the forum search tool.

You are not logged in.

#1 2012-03-02 06:26:49

sqlpython
#! Die Hard
From: New England
Registered: 2011-11-28
Posts: 930

Code::Blocks Installed on #!

I have Codelite installed but decided to also install Code::Blocks IDE
Not in repositories. So, for those who like Code::Blocks IDE here is what I installed.


This is worth the trouble...read.

So, Codelite and Codelite-plugins are in Synaptics....
and for Code::Blocks see Below

This is not in Synaptics so below is HOW and What..

http://www.codeblocks.org/downloads/binaries

I chose the Debian obvious choice and once it is extracted you have a dir of debs..
codeblocks-10.05-1-debian-dbg-i386.tar.bz2  27 May 2010 64.9 MB

   Once extracted I installed these with GDebi..
They are interdependent so Gdebi will warn you if you install
them in the wrong order.. the list below is about in  order of depends.

sqlpython@crunchbang:~$ dpkg --get-selections | grep codebl*
codeblocks                    install
codeblocks-common                install
codeblocks-contrib-common            install
codeblocks-dbg                    install
codeblocks-dev                    install
codeblocks-doc-en                install
codeblocks-headers                install
libcodeblocks0                    install

...Reading from the Code::Blocks page you need the 2.8 version of
the wxwidget cross platform. Don't install (for Squeeze or Wheezy)
the wx deb files that come with Code::Blocks they are

libwxsmithlib0_10.05-1_i386.deb      wxsmith-dev_10.05-1_i386.deb
libwxsmithlib0-dev_10.05-1_i386.deb  wxsmith-headers_10.05-1_all.deb

..INSTEAD... as Suggested on the download page Install from Synaptics.
Below are the wx files that I have installed..
Some are python but that is OK.. as I do some python wx work..

sqlpython@crunchbang:~$ dpkg --get-selections | grep wxg*
libwxbase2.8-0                    install
libwxbase2.8-dbg                install
libwxbase2.8-dev                install
libwxgtk2.8-0                    install
libwxgtk2.8-dbg                    install
libwxgtk2.8-dev                    install
python-wxgtk2.8                    install
python-wxtools                    install
python-wxversion                install
wx-common                    install
wx2.8-doc                    install
wx2.8-examples                    install
wx2.8-headers                    install
wx2.8-i18n                    install

Last edited by sqlpython (2012-03-02 06:27:24)


OHCG #!, Jessie,, Siduction-13.1,  Slackware 14,  Bridge,, Sabayon 13.4,

Offline

Help fund CrunchBang, donate to the project!

#2 2012-03-02 10:28:50

kd5ob
#! CrunchBanger
From: Oklahoma
Registered: 2012-02-02
Posts: 208

Re: Code::Blocks Installed on #!

Well HEY!  What's this thing do?

Offline

#3 2012-05-27 14:19:58

Rogues
Member
Registered: 2011-07-21
Posts: 40

Re: Code::Blocks Installed on #!

Codeblocks is now in the repo's smile

Offline

#4 2012-12-15 23:16:25

xtn5021
New Member
Registered: 2012-12-13
Posts: 7

Re: Code::Blocks Installed on #!

I'm still having trouble installing this. I got all the wx files installed, and I also got codeblocks-common and codeblocks-contrib-common installed. Just can't get the rest going or if I did do it right I have no idea on how to open it.. Plese help me!

Offline

#5 2013-01-20 23:15:30

jansek
New Member
Registered: 2013-01-16
Posts: 6

Re: Code::Blocks Installed on #!

hello - could anyone update this for the actual codeblock? i downloaded the current version

(codeblocks-dbg_12.11-2_i386-debian-stable.tar.bz2 (squeeze))

but i simply don't know how to progresss.

I tried

aptitude install codeblocks-dbg_12.11-2_i386.deb

but it said that codeblocks-dbg_12.11-2_i386.deb couldn't be found. I've pasted it after i've done the ls and copied the file name...

What about the repo - could code blocks be available via those ?

Sorry, i 've got the system for a couple of days, but need the codeblocks for studying... emergency.

Offline

#6 2013-01-20 23:24:34

stolid
#! CrunchBanger
Registered: 2012-09-06
Posts: 206

Re: Code::Blocks Installed on #!

jansek wrote:

I tried

aptitude install codeblocks-dbg_12.11-2_i386.deb

but it said that codeblocks-dbg_12.11-2_i386.deb couldn't be found. I've pasted it after i've done the ls and copied the file name...

I think the command you should have run is:

sudo dpkg -i codeblocks-dbg_12.11-2_i386.deb
jansek wrote:

What about the repo - could code blocks be available via those ?

Sorry, i 've got the system for a couple of days, but need the codeblocks for studying... emergency.

It's available now in the repos (wheezy and sid). Just do:

sudo apt-get install codeblocks

If you run statler/squeeze, you'll have to install manually.


Registered Linux User #555399
crunchbox:     Phenom II X6 1055T | 8GB RAM | OCZ Vertex 4 128GB | Radeon 7870XT | Win7 / #! 11 (i3 WM)
lambdacore:     4x Opteron 8431 | 16GB RAM | 2x1TB mirrored (ZFSoL) | Debian 7 (headless)
crunchtop:     Acer Aspire 1410 11.6" | 2GB RAM | Crucial M4 128GB | #! 11 (i3 WM)

Offline

#7 2013-01-20 23:40:48

jansek
New Member
Registered: 2013-01-16
Posts: 6

Re: Code::Blocks Installed on #!

many thanks for the instant reply.

i'm running statler... could you help me out with the manual instalation ?
I'm a total beginner (my last progress is that I managed to uninstall iceweasel - for me it's an achievement, althought it is kind of similar to when i used dos when i was 9 years old - can't remember much of it though...i hope this wasn't a blasphemy:)

i tried as follows:

root@jah:/home/jansek/downloads# dpkg -i /home/jansek/downloads/codeblocks-dbg_12.11-2_i386.deb
Zaznaczenie poprzednio niezaznaczonego pakietu codeblocks-dbg.
(Odczytywanie bazy danych ... 95929 files and directories currently installed.)
Rozpakowanie codeblocks-dbg (z .../codeblocks-dbg_12.11-2_i386.deb) ...
dpkg: problemy z zależnościami uniemożliwiają skonfigurowanie codeblocks-dbg:
 codeblocks-dbg zależy od codeblocks (= 12.11-2); jednakże:
  Pakiet codeblocks nie jest zainstalowany.
dpkg: błąd przetwarzania codeblocks-dbg (--install):
 problemy z zależnościami - pozostawiony nieskonfigurowany
Wystąpiły błędy podczas przetwarzania:
 codeblocks-dbg
root@jah:/home/jansek/downloads# 

what bacialy means that there are problems with dependencies which unable to install codeblocks-dbg
so i figured out, that maybe the other file should be installed first therefore

root@jah:/home/jansek/downloads# dpkg -i /home/jansek/downloads/codeblocks-contrib-dbg_12.11-2_i386.deb
Zaznaczenie poprzednio niezaznaczonego pakietu codeblocks-contrib-dbg.
(Odczytywanie bazy danych ... 95960 files and directories currently installed.)
Rozpakowanie codeblocks-contrib-dbg (z .../codeblocks-contrib-dbg_12.11-2_i386.deb) ...
dpkg: problemy z zależnościami uniemożliwiają skonfigurowanie codeblocks-contrib-dbg:
 codeblocks-contrib-dbg zależy od codeblocks-contrib (= 12.11-2); jednakże:
  Pakiet codeblocks-contrib nie jest zainstalowany.
 codeblocks-contrib-dbg zależy od codeblocks-dbg (= 12.11-2); jednakże:
  Pakiet codeblocks-dbg nie jest jeszcze skonfigurowany.
dpkg: błąd przetwarzania codeblocks-contrib-dbg (--install):
 problemy z zależnościami - pozostawiony nieskonfigurowany
Wystąpiły błędy podczas przetwarzania:
 codeblocks-contrib-dbg

but there still is a problem with the dependencies.
Is it a problem that the statler and this package don't fit ? Maybe there is a fitting one...

also...

this should show an error message

Last edited by jansek (2013-01-21 00:59:30)

Offline

#8 2013-01-21 11:51:10

jansek
New Member
Registered: 2013-01-16
Posts: 6

Re: Code::Blocks Installed on #!

Ok guys - i managed to do it - i think it works (sooo happy!)

I have done it as follows:

I checked for the codeblocks-10.05-1-debian-dbg-i386.tar.bz2
Download <--- here

afterwards i installed each package as sqlpython advised.

here are the packages:

codeblocks_10.05-1_i386.changes
codeblocks_10.05-1_i386.deb
codeblocks-common_10.05-1_all.deb
codeblocks-contrib_10.05-1_i386.deb
codeblocks-contrib-common_10.05-1_all.deb
codeblocks-contrib-dbg_10.05-1_i386.deb
codeblocks-dbg_10.05-1_i386.deb
codeblocks-dev_10.05-1_i386.deb
codeblocks-doc-de_10.05-1_all.deb
codeblocks-doc-en_10.05-1_all.deb
codeblocks-headers_10.05-1_all.deb
libcodeblocks0_10.05-1_i386.deb
libwxsmithlib0_10.05-1_i386.deb
libwxsmithlib0-dev_10.05-1_i386.deb
wxsmith-dev_10.05-1_i386.deb
wxsmith-headers_10.05-1_all.deb

than the command should be

dpkg -i "<package name>" 

and the sequence (important because of the dependencies) is as follows:

  1. codeblocks-common_10.05-1_all.deb

  2. codeblocks_10.05-1_i386.deb

  3. codeblocks-contrib-common_10.05-1_all.deb

  4. codeblocks-dbg_10.05-1_i386.deb

  5. codeblocks-doc-en_10.05-1_all.deb

  6. libcodeblocks0_10.05-1_i386.deb

I started the program and it works, so i'm satisfied.

Don't know about the wx files though...
are they necessary to install ?

as i wrote the simpliest program in c to check if C::B were installed correctly, the program would not build neither run.
Therefore I checked and as the developer advised, you have install following

 
apt-get install xterm

Last edited by jansek (2013-01-21 16:58:16)

Offline

Board footer

Powered by FluxBB

Copyright © 2012 CrunchBang Linux.
Proudly powered by Debian. Hosted by Linode.
Debian is a registered trademark of Software in the Public Interest, Inc.

Debian Logo